Xcode command line tools: Unable to run git: Unsupported format of git

After updating to Xcode 4.3 and Apple's command line tools, AppCode no longer works with Git.

The error message is:

"Unable to run git: /usr/bin/git (Unsupported format of git --version output: git version 1.7.7.5 (Apple Git-26)"

Also a dialog box pops up (screenshot attached).  



Attachment(s):
GitError.png
3 comments
Comment actions Permalink

Thanks for the update,
Please create a bug report here: http://youtrack.jetbrains.com/issues/OC#newissue=yes

Please attach the log file to the request (Help->Reveal Log in Finder).

0
Comment actions Permalink

We already have a bugreport for this problem: http://youtrack.jetbrains.com/issue/IDEA-79856
Will be fixed soon.

0
Comment actions Permalink

Cool. Thanks for the update. I know it can be difficult to try and keep up with other tool changes.

0

Please sign in to leave a comment.